/*
 * hal_atomic.c - implementation of Generic Atomic Operations API for TSAR-MIPS32
 * 
 * Author  Alain Greiner (2016)
 *
 * Copyright (c) UPMC Sorbonne Universites
 * 
 * This file is part of ALMOS-MKH..
 *
 * ALMOS-MKH. is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 2.0 of the License.
 *
 * ALMOS-MKH. is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with ALMOS-MKH.; if not, write to the Free Software Foundation,
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
 */

#include <hal_types.h>
#include <hal_internal.h>

void hal_atomic_and( uint32_t * ptr,
                     int32_t    val )
{
	x86_panic((char *)__func__);
}

void hal_atomic_or( uint32_t * ptr,
                    int32_t    val )
{
	x86_panic((char *)__func__);
}

uint32_t hal_atomic_add( void    * ptr,
                         int32_t   val )
{
	x86_panic((char *)__func__);
	return 0;
}

bool_t hal_atomic_cas( uint32_t * ptr,
                       uint32_t   old, 
                       uint32_t   new )
{
	x86_panic((char *)__func__);
	return 0;
}

bool_t hal_atomic_test_set( uint32_t * ptr,
                            int32_t    val )
{
	x86_panic((char *)__func__);
	return 0;
}

